Bug 597446 - flash-player freezes (bitmap-fangsongti-fonts)
flash-player freezes (bitmap-fangsongti-fonts)
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: nspluginwrapper (Show other bugs)
15
All Linux
low Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
: Triaged
: 658225 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-28 20:14 EDT by faldegast
Modified: 2018-04-11 06:04 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-20 12:54:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description faldegast 2010-05-28 20:14:54 EDT
Description of problem:
flash-player freezes.

Version-Release number of selected component (if applicable):
10.0.45.2

How reproducible:
This may be dependent on other components.

Steps to Reproduce:
1. Install flash-player from adobes repository.
2. Go you youtube and click random video.
3.
  
Actual results:
Flash never starts rendering the video.

Expected results:
Flash should render the video.

Additional info:
This worked fine before upgrading fedora 12 to 13.

Also gnash has unresolved problems with youtube so i cant switch to that...
Comment 1 faldegast 2010-05-29 07:32:19 EDT
Does anyone have a suggestion on how to debug this? The problem is probably not inside flash-player but with some of the 686 libraries it uses.
Comment 2 Matěj Cepl 2010-05-30 17:10:53 EDT
We don't support the binary-only flash player because we don't have any source code for it, so unfortunately we cannot help you with it.

(In reply to comment #1)
> Does anyone have a suggestion on how to debug this? The problem is probably not
> inside flash-player but with some of the 686 libraries it uses.    

Why do you think so? Could you give us some backtrace/strace or something to show where is the problem?

Thank you for reporting the bug and helping to make Fedora better
Comment 3 Martin Stransky 2010-05-31 04:27:01 EDT
You can debug the plugin and attach the gdb backtrace here. Run ps axf, get the npviewer pid, run gdb --pid=xxx, then "c" gdb command and when it crashes, use "bt" to print the backtrace and attach it here.
Comment 4 faldegast 2010-05-31 15:33:46 EDT
"We don't support the binary-only flash player because we don't have any source
code for it, so unfortunately we cannot help you with it."
After analyzing this problem from a wither perspective, perhaps its better to focus all resources on the gnash-plugin and drop all flash-player plugin requests like this. If the youtube and cpu issues it currently has can be resolved I'll gladly use that instead of a binary blob.

"Why do you think so? Could you give us some backtrace/strace or something to
show where is the problem?"
Because the same binaries worked before the upgrade, so something else must have changed.

"You can debug the plugin and attach the gdb backtrace here. Run ps axf, get the
npviewer pid, run gdb --pid=xxx, then "c" gdb command and when it crashes, use
"bt" to print the backtrace and attach it here. "
Ill try that. Thats if you guys dont go for my suggestion and focus on the gnash-plugin instead, then debugging this is a waste of time...
Comment 5 Nathan G. Grennan 2010-06-05 03:13:43 EDT
  I installed all the necessary debuginfo packages and got this backtrace. It seems to relate to freetype.



(gdb) bt
#0  0x002c8395 in inflate_codes (zip=<value optimized out>)
    at /usr/src/debug/freetype-2.3.11/src/gzip/infcodes.c:207
#1  inflate_blocks (zip=<value optimized out>) at /usr/src/debug/freetype-2.3.11/src/gzip/infblock.c:340
#2  inflate (zip=<value optimized out>) at /usr/src/debug/freetype-2.3.11/src/gzip/inflate.c:218
#3  ft_gzip_file_fill_output (zip=<value optimized out>) at /usr/src/debug/freetype-2.3.11/src/gzip/ftgzip.c:412
#4  0x002c8da4 in ft_gzip_file_skip_output (zip=0x9467b00, pos=<value optimized out>, buffer=0x0, count=0)
    at /usr/src/debug/freetype-2.3.11/src/gzip/ftgzip.c:454
#5  ft_gzip_file_io (zip=0x9467b00, pos=<value optimized out>, buffer=0x0, count=0)
    at /usr/src/debug/freetype-2.3.11/src/gzip/ftgzip.c:485
#6  0x0026f433 in FT_Stream_Seek (stream=0x93a5454, pos=610088)
    at /usr/src/debug/freetype-2.3.11/src/base/ftstream.c:65
#7  0x0029d91a in PCF_Glyph_Load (slot=0x9457568, size=0x9463920, glyph_index=<value optimized out>,
    load_flags=<value optimized out>) at /usr/src/debug/freetype-2.3.11/src/pcf/pcfdrivr.c:517
#8  0x00273905 in FT_Load_Glyph (face=0x93a53d0, glyph_index=5630, load_flags=<value optimized out>)
    at /usr/src/debug/freetype-2.3.11/src/base/ftobjs.c:675
#9  0x0030c2dc in FcFreeTypeCheckGlyph (face=0x93a53d0, ucs4=<value optimized out>, glyph=<value optimized out>,
    blanks=<value optimized out>, advance=<value optimized out>, using_strike=<value optimized out>)
    at fcfreetype.c:2502
#10 0x0030cc97 in FcFreeTypeCharSetAndSpacingForSize (face=<value optimized out>, blanks=<value optimized out>,
    spacing=<value optimized out>, strike_index=<value optimized out>) at fcfreetype.c:2638
#11 0x0030ce1c in IA__FcFreeTypeCharSetAndSpacing (face=<value optimized out>, blanks=<value optimized out>,
    spacing=<value optimized out>) at fcfreetype.c:2775
#12 0x0030e998 in IA__FcFreeTypeQueryFace (face=<value optimized out>, file=<value optimized out>,
    id=<value optimized out>, blanks=<value optimized out>) at fcfreetype.c:1656
#13 0x0030f164 in IA__FcFreeTypeQuery (file=<value optimized out>, id=<value optimized out>,
    blanks=<value optimized out>, count=<value optimized out>) at fcfreetype.c:1762
#14 0x00309ad5 in FcFileScanFontConfig (set=<value optimized out>, dirs=<value optimized out>,
    blanks=<value optimized out>, file=<value optimized out>, config=<value optimized out>) at fcdir.c:61
#15 FcFileScanConfig (set=<value optimized out>, dirs=<value optimized out>, blanks=<value optimized out>,
    file=<value optimized out>, config=<value optimized out>) at fcdir.c:109
#16 0x00309db5 in FcDirScanConfig (set=<value optimized out>, dirs=<value optimized out>,
    blanks=<value optimized out>, dir=<value optimized out>, force=<value optimized out>,
    config=<value optimized out>) at fcdir.c:207
---Type <return> to continue, or q <return> to quit---
#17 0x00309f19 in FcDirCacheScan (dir=<value optimized out>, config=<value optimized out>) at fcdir.c:270
#18 0x003058ce in FcConfigAddDirList (config=0x93a4e50, set=<value optimized out>, dirSet=<value optimized out>)
    at fccfg.c:355
#19 0x00305b70 in IA__FcConfigBuildFonts (config=0x93a4e50) at fccfg.c:388
#20 0x0030f970 in IA__FcInitLoadConfigAndFonts () at fcinit.c:106
#21 0x0030fa65 in IA__FcInit () at fcinit.c:124
#22 0x00304d85 in IA__FcConfigGetCurrent () at fccfg.c:415
#23 0x00305485 in IA__FcConfigSubstituteWithPat (config=<value optimized out>, p=<value optimized out>, 
    p_pat=<value optimized out>, kind=<value optimized out>) at fccfg.c:1361
#24 0x00305528 in IA__FcConfigSubstitute (config=<value optimized out>, p=<value optimized out>, 
    kind=<value optimized out>) at fccfg.c:1584
#25 0x03ae7641 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#26 0x03ae7c0f in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#27 0x039dd7e2 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#28 0x039ddcd1 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#29 0x039ddf4b in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#30 0x039de248 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#31 0x039de2bf in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#32 0x03a8c75b in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#33 0x03756f59 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#34 0x037616c9 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#35 0x03762dbb in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#36 0x03763ef1 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#37 0x03764186 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#38 0x03882604 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#39 0x03669e6c in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#40 0xf190425f in ?? ()
#41 0x03b4e275 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#42 0xf1490590 in ?? ()
#43 0x03be5b4d in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#44 0x03b4e275 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#45 0xf149025b in ?? ()
#46 0x03be5b4d in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
---Type <return> to continue, or q <return> to quit---
#47 0x03b4e275 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#48 0xf148f8d0 in ?? ()
#49 0x03be5b4d in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#50 0x03b4e275 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#51 0xf148d070 in ?? ()
#52 0x03be5b4d in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#53 0x03b4e275 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#54 0xf1489ed3 in ?? ()
#55 0x03be5b4d in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#56 0x03b4e275 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#57 0xf1488e1f in ?? ()
#58 0x03be5b4d in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#59 0x03b4e275 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#60 0xf1488c7b in ?? ()
#61 0x03be5b4d in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#62 0x03b4e275 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#63 0xf1488bfe in ?? ()
#64 0x03be5b4d in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#65 0x03b4e275 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#66 0xf1479a9a in ?? ()
#67 0x03be5b4d in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#68 0x03b4e275 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#69 0xf1479821 in ?? ()
#70 0x03be5b4d in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#71 0x03b4e275 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#72 0xf1478a47 in ?? ()
#73 0x03be5b4d in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#74 0x03b4e275 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#75 0xf146903c in ?? ()
#76 0x03be5b4d in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#77 0x03b4e275 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#78 0xf1468e90 in ?? ()
#79 0x03be5b4d in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
---Type <return> to continue, or q <return> to quit---
#80 0x03b5041f in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#81 0x03b4d453 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#82 0x035ec172 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#83 0x035f0bc7 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#84 0x035e73e2 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#85 0x035ef505 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#86 0x03a53308 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#87 0x035ff46f in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#88 0x038d8883 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#89 0x038d8f62 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#90 0x038e8dfd in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#91 0x039202e0 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#92 0x0399ef76 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#93 0x035acae2 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#94 0x035afcf9 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#95 0x0804b196 in g_NPP_Write (connection=<value optimized out>) at ../src/npw-viewer.c:3863
#96 handle_NPP_Write (connection=<value optimized out>) at ../src/npw-viewer.c:3888
#97 0x08058632 in _rpc_dispatch_1 (connection=0x9409700, message=0xfff85b40) at ../src/rpc.c:1648
#98 0x08058960 in _rpc_dispatch (connection=<value optimized out>) at ../src/rpc.c:1679
#99 rpc_dispatch (connection=<value optimized out>) at ../src/rpc.c:1747
#100 0x0804af62 in rpc_event_dispatch (source=<value optimized out>, callback=<value optimized out>, 
    connection=<value optimized out>) at ../src/npw-viewer.c:4386
#101 0x00980525 in g_main_dispatch (context=Cannot access memory at address 0xfff87c00
) at gmain.c:1960
#102 IA__g_main_context_dispatch (context=Cannot access memory at address 0xfff87c00
) at gmain.c:2513
#103 0x00984268 in g_main_context_iterate (context=0x43a490, block=Cannot access memory at address 0xfff87c34
) at gmain.c:2591
#104 0x009847af in IA__g_main_loop_run (loop=0x940b250) at gmain.c:2799
#105 0x005f05a9 in IA__gtk_main () at gtkmain.c:1219
#106 0x0804ec07 in do_main (argc=<value optimized out>, argv=<value optimized out>) at ../src/npw-viewer.c:4501
#107 main (argc=<value optimized out>, argv=<value optimized out>) at ../src/npw-viewer.c:4675
Comment 6 Nathan G. Grennan 2010-06-06 01:58:20 EDT
 My workaround for this bug below. I found a clue from strace of npviewer.bin. It mentioned /usr/share/fonts/bitmap/fangsongti24.pcf.gz. Plus my bugtrace was all about fontconfig, freetype, and gzip. So I checked what package owned the file, tried uninstalling it, and then found the dependecy. So I removed both and tried again. It worked! :)

rpm -e bitmap-fangsongti-fonts-0.3-16.fc13.noarch bitmap-fonts-compat-0.3-16.fc13.noarch
Comment 7 faldegast 2010-06-07 11:57:06 EDT
I can confirm that removing those packages solves this issue for me.

In fedora 12 /usr/share/fonts/bitmap/fangsongti24.pcf.gz was /usr/share/fonts/bitmap/fangsongti24.pcf, perhaps the issue is with compressed fonts?

While just removing these packages solves the issue it cannot be considered a bug fix. I remember that the upgrade instructions said that bitmap-fonts-compat could make make X freeze, so there may be other related issues. As i of curiosity checked the difference between the old and new packages i remember that compression was the easy to spot difference. 

Of course there is probably not a bug in zlib, and probably not in the decompression. Its more likely that the code that search for the font is buggy. Of course this is just an educated guess.
Comment 8 Christopher Aillon 2010-06-09 16:13:14 EDT
Well, bitmap-fangsongti-fonts is only intended for use in anaconda, so removing it from installed systems is probably the right thing to do anyway.  There's probably an underlying bug somewhere else in nspluginwrapper, but it seems that the more prudent thing to do would be to figure out why bitmap-fangsongti-fonts are installed on people's systems and fix that.
Comment 9 Martin Stransky 2011-04-06 02:56:18 EDT
*** Bug 658225 has been marked as a duplicate of this bug. ***
Comment 10 Bug Zapper 2011-06-02 08:59:12 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Nils Philippsen 2011-06-18 04:07:07 EDT
I can confirm this bug on F-15 with chromium and firefox. After removing the bitmap-fangsongti-fonts package and restarting Firefox, it worked again.
Comment 12 faldegast 2012-05-20 12:54:41 EDT
As far as I understand this problem does not occur in F16 or later so im closing it...

Note You need to log in before you can comment on or make changes to this bug.